library(dplyr)
paletteer_packages <- tibble::tribble(
  ~Name,                ~Github,                            ~github_ver,   ~CRAN, ~CRAN_ver,
  "awtools",            "awhstin/awtools",                  "0.2.1",       FALSE, NA,
  "basetheme",          "karoliskoncevicius/basetheme",     "0.1.2",       TRUE,  "0.1.2",
  "beyonce",            "dill/beyonce",                     "0.1",         FALSE, NA,
  "calecopal",          "an-bui/calecopal",                 "0.1.0",       FALSE, NA,
  "cartography",        "riatelab/cartography",             "3.0.1",       TRUE,  "3.0.1",
  "colorBlindness",     NA,                                 NA,            TRUE,  "0.1.9",
  "colorblindr",        "clauswilke/colorblindr",           "0.1.0",       FALSE, NA,
  "colRoz",             "jacintak/colRoz",                  "0.2.2",       FALSE, NA,
  "dichromat",          NA,                                 NA,            TRUE,  "2.0-0.1",
  "DresdenColor",       "katiesaund/DresdenColor",          "0.0.0.9000",  FALSE, NA,
  "dutchmasters",       "EdwinTh/dutchmasters",             "0.1.0",       FALSE, NA,
  "feathers",           "shandiya/feathers",                "0.0.0.9000",  FALSE, NA,
  "fishualize",         "nschiett/fishualize",              "0.2.3",       TRUE,  "0.2.3",
  "futurevisions",      "JoeyStanley/futurevisions",        "0.1.1",       FALSE, NA,
  # "gameofthrones",      "aljrico/gameofthrones",            "1.0.2",       TRUE,  "1.0.2",
  "ggpomological",      "gadenbuie/ggpomological",          "0.1.2",       FALSE, NA,
  "ggprism",            "csdaw/ggprism",                    "1.0.3.9000",  TRUE,  "1.0.3",
  "ggsci",              "nanxstats/ggsci",                  "2.9",         TRUE,  "2.9",
  "ggthemes",           "jrnold/ggthemes",                  "4.2.2",       TRUE,  "4.2.2",
  "ggthemr",            "Mikata-Project/ggthemr",           "1.1.0",       FALSE, NA,
  "ghibli",             "ewenme/ghibli",                    "0.3.3.9000",  TRUE,  "0.3.3",
  "grDevices",          NA,                                 NA,            TRUE,  "4.2.1",
  "harrypotter",        "aljrico/harrypotter",              "2.1.1",       TRUE,  "2.1.1",
  "IslamicArt",         "lambdamoses/IslamicArt",           "0.1.0",       FALSE, NA,
  "impressionist.colors", NA,                               NA,            TRUE,  "1.0",
  "jcolors",            "jaredhuling/jcolors",              "0.0.4",       TRUE,  "0.0.4",
  "khroma",             "tesselle/khroma",                  "1.9.0.9000",  TRUE,  "1.9.0",
  "LaCroixColoR",       "johannesbjork/LaCroixColoR",       "0.1.0",       FALSE, NA,
  "lisa",               "tyluRp/lisa",                      "0.1.2.9000",  TRUE,  "0.1.2",
  "MetBrewer",          "BlakeRMills/MetBrewer",            "0.2.0",       TRUE,  "0.2.0",
  "Manu",               "G-Thomson/Manu",                   "0.0.2",       FALSE, NA,
  "MapPalettes",        "disarm-platform/MapPalettes",      "0.0.2",       FALSE, NA,
  "musculusColors",     "dawnbarlow/musculusColors",        "0.1.0",       FALSE, NA,
  "miscpalettes",       "EmilHvitfeldt/miscpalettes",       "0.0.0.9000",  FALSE, NA,
  "nationalparkcolors", "katiejolly/nationalparkcolors",    "0.1.0",       FALSE, NA,
  "NatParksPalettes",   "kevinsblake/NatParksPalettes",     "0.2.0",       TRUE,  "0.2.0",
  "nbapalettes",        "murrayjw/nbapalettes",             "0.1.0.9000",  TRUE,  "0.1.0",
  "NineteenEightyR",    "m-clark/NineteenEightyR",          "0.1.0",       FALSE, NA,
  "nord",               "jkaupp/nord",                      "1.0.0",       TRUE,  "1.0.0",
  "ochRe",              "hollylkirk/ochRe",                 "1.0.0",       FALSE, NA,
  "oompaBase",          NA,                                 NA,            TRUE,  "3.2.9",
  "palettesForR",       "frareb/palettesForR",              "0.1.2",       TRUE,  "0.1.2",
  "palettetown",        "timcdlucas/palettetown",           "0.1.1.90000", TRUE,  "0.1.1",
  "palr",               "AustralianAntarcticDivision/palr", "0.3.0",       TRUE,  "0.3.0",
  "pals",               "kwstat/pals",                      "1.7",         TRUE,  "1.7",
  "peRReo",             "jbgb13/peRReo",                    "0.1.0",       FALSE, NA,
  "PNWColors",          "jakelawlor/PNWColors",             "0.1.0",       FALSE, NA,
  "Polychrome",         NA,                                 NA,            TRUE,  "1.5.1",
  "popthemes",          "johnmackintosh/popthemes",         "0.0.0.9000",  FALSE, NA,
  "rcartocolor",        "Nowosad/rcartocolor",              "2.1.0",       TRUE,  "2.1.0",
  "RColorBrewer",       NA,                                 NA,            TRUE,  "1.1-3",
  "Redmonder",          NA,                                 NA,            TRUE,  "0.2.0",
  "rockthemes",         "johnmackintosh/rockthemes",        "0.0.0.9000",  FALSE, NA,
  "RSkittleBrewer",     "alyssafrazee/RSkittleBrewer",      "1.1",         FALSE, NA,
  "rtist",              "tomasokal/rtist",                  "1.0.0",       TRUE,  "1.0.0",
  "scico",              "thomasp85/scico",                  "1.3.1.9000",  TRUE,  "1.3.1",
  "severance",          "ivelasq/severance",                "0.0.0.9000",  FALSE, NA,
  "soilpalettes",       "kaizadp/soilpalettes",             "0.1.0",       FALSE, NA,
  "suffrager",          "alburezg/suffrager",               "0.1.0",       FALSE, NA,
  "tayloRswift",        "asteves/tayloRswift",              "0.1.0",       FALSE, NA,
  "tidyquant",          "business-science/tidyquant",       "1.0.5.9000",  TRUE,  "1.0.5",
  "trekcolors",         "leonawicz/trekcolors",             "0.1.3",       TRUE,  "0.1.3",
  "tvthemes",           "Ryo-N7/tvthemes",                  "1.3.1",       TRUE,  "1.3.1",
  "unikn",              "hneth/unikn",                      "0.6.0.9006",  TRUE,  "0.6.0",
  "vapeplot",           "seasmith/vapeplot",                "0.1.0",       FALSE, NA,
  "vapoRwave",          "moldach/vapoRwave",                "0.0.0.9000",  FALSE, NA,
  "viridis",            "sjmgarnier/viridis",               "0.6.2",       TRUE,  "0.6.2",
  "visibly",            "m-clark/visibly",                  "0.2.9",       FALSE, NA,
  "werpals",            "sciencificity/werpals",            "0.1.0",       FALSE, NA,
  "wesanderson",        "karthik/wesanderson",              "0.3.6.9000",  TRUE,  "0.3.6",
  "yarrr",              "ndphillips/yarrr",                 "0.1.6",       TRUE,  NA
) %>%
  arrange(Name)

usethis::use_data(paletteer_packages, overwrite = TRUE)
